org.apache.jmeter.protocol.jms.sampler.render

## Class MapMessageRenderer

- java.lang.Object
- - org.apache.jmeter.protocol.jms.sampler.render.MapMessageRenderer

- All Implemented Interfaces:
    MessageRenderer<java.util.Map<java.lang.String,java.lang.Object>>

      public class MapMessageRenderer
      extends java.lang.Object
      implements MessageRenderer<java.util.Map<java.lang.String,java.lang.Object>>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapMessageRenderer(org.apache.jmeter.protocol.jms.sampler.render.TextMessageRenderer delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.Object>` | `getValueFromFile(java.lang.String filename, java.lang.String encoding, boolean hasVariable, com.github.benmanes.caffeine.cache.Cache<java.lang.Object,java.lang.Object> cache)` Read text from file, eventually replace variables, then convert it.
    `java.util.Map<java.lang.String,java.lang.Object>` | `getValueFromText(java.lang.String text)` Convert text to expected type

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapMessageRenderer

          public MapMessageRenderer(org.apache.jmeter.protocol.jms.sampler.render.TextMessageRenderer delegate)

  - ### Method Detail

    - #### getValueFromText

          public java.util.Map<java.lang.String,java.lang.Object> getValueFromText(java.lang.String text)

      Description copied from interface: `MessageRenderer`
      Convert text to expected type
      Specified by:
        `getValueFromText` in interface `MessageRenderer<java.util.Map<java.lang.String,java.lang.Object>>`
      Parameters:
        `text` - Text representing the type
      Returns:
        the constructed object

    - #### getValueFromFile

          public java.util.Map<java.lang.String,java.lang.Object> getValueFromFile(java.lang.String filename,
                                                                                   java.lang.String encoding,
                                                                                   boolean hasVariable,
                                                                                   com.github.benmanes.caffeine.cache.Cache<java.lang.Object,java.lang.Object> cache)

      Description copied from interface: `MessageRenderer`
      Read text from file, eventually replace variables, then convert it. Cached content depends if variabilisation is active or not.
      Specified by:
        `getValueFromFile` in interface `MessageRenderer<java.util.Map<java.lang.String,java.lang.Object>>`
      Parameters:
        `filename` - name of the file to get the value from
        `encoding` - encoding of the file
        `hasVariable` - flag, whether variables inside the value should be replaced
        `cache` - Cache in which the raw values will be stored/read from
      Returns:
        the constructed object

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.